## golang-github-bsm-redeo 0.0~git20160817.0.1ce09fc

=== Makefile ===
default: vet test

test:
	go test ./...

vet:
	go vet ./...

bench:
	go test ./... -run=NONE --bench=.

=== debian/changelog ===
golang-github-bsm-redeo (0.0~git20160817.0.1ce09fc-1) unstable; urgency=medium

  * Initial release (Closes: #859035)

 -- Michael Lustfield <michael@lustfield.net>  Wed, 29 Mar 2017 23:20:02 -0500

=== debian/control ===
Source: golang-github-bsm-redeo
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Lustfield <michael@lustfield.net>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-ginkgo-dev,
               golang-gomega-dev
Standards-Version: 3.9.8
Homepage: https://github.com/bsm/redeo
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-bsm-redeo.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-bsm-redeo.git
XS-Go-Import-Path: github.com/bsm/redeo

Package: golang-github-bsm-redeo-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-ginkgo-dev,
         golang-gomega-dev
Description: Framework for building redis-compatible TCP services
 This library provides a framework for building redis-compatible TCP
 services in the Go language. This can be used to replicate (or mimic)
 a redis server. More often, it will be used to implement only the
 portion of Redis needed for the application.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-bsm-redeo-\$1\.tar\.gz/,\\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \\
  https://github.com/bsm/redeo/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-bsm-redeo 0.0~git20170711.0.9c7b851

=== Makefile ===
default: vet test

test:
	go test ./...

vet:
	go vet ./...

bench:
	go test ./... -run=NONE -bench=. -benchmem -benchtime=5s

# go get -u github.com/davelondon/rebecca/cmd/becca

doc: README.md client/README.md resp/README.md

README.md: README.md.tpl $(wildcard *.go)
	becca -package .

client/README.md: client/README.md.tpl $(wildcard client/*.go)
	cd client && becca -package .

resp/README.md: resp/README.md.tpl $(wildcard resp/*.go)
	cd resp && becca -package .

=== debian/changelog ===
golang-github-bsm-redeo (0.0~git20170711.0.9c7b851-1) unstable; urgency=medium

  * New upstream release.
  * Added new build dependency.

 -- Michael Lustfield <michael@lustfield.net>  Tue, 18 Jul 2017 15:20:51 -0500

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-any,
+               golang-github-bsm-pool-dev,
                golang-ginkgo-dev,
                golang-gomega-dev
 Standards-Version: 3.9.8
@@ -19,6 +20,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          golang-ginkgo-dev,
+         golang-github-bsm-pool-dev,
          golang-gomega-dev
 Description: Framework for building redis-compatible TCP services
  This library provides a framework for building redis-compatible TCP

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

# Tests don't run well inside of a pbuilder environment
override_dh_auto_test:

## golang-github-bsm-redeo 2.1.1

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,15 @@
+PKG=$(shell go list ./... | grep -v vendor)
+
 default: vet test
 
 test:
-	go test ./...
+	go test $(PKG)
 
 vet:
-	go vet ./...
+	go vet $(PKG)
 
 bench:
-	go test ./... -run=NONE -bench=. -benchmem -benchtime=5s
+	go test $(PKG) -run=NONE -bench=. -benchmem -benchtime=5s
 
 # go get -u github.com/davelondon/rebecca/cmd/becca

=== debian/changelog ===
golang-github-bsm-redeo (2.1.1-4) unstable; urgency=medium

  * QA upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Fix Debian QA group name.

  [ Debian Janitor ]
  * Change priority extra to priority optional.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Name.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 01 Feb 2021 23:45:00 +0000

golang-github-bsm-redeo (2.1.1-3) unstable; urgency=medium

  * Remove Michael Lustfield from Uploaders list.

 -- Michael Lustfield <michael@lustfield.net>  Sat, 03 Feb 2018 12:13:27 -0600

golang-github-bsm-redeo (2.1.1-2) unstable; urgency=medium

  * Oprhaning package.

 -- Michael Lustfield <michael@lustfield.net>  Fri, 02 Feb 2018 23:15:58 -0600

golang-github-bsm-redeo (2.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Lustfield <michael@lustfield.net>  Sun, 15 Oct 2017 21:37:03 -0500

golang-github-bsm-redeo (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now provides releases; update d/watch.

 -- Michael Lustfield <michael@lustfield.net>  Tue, 26 Sep 2017 01:56:32 -0500

golang-github-bsm-redeo (0.0~git20170711.0.9c7b851-2) unstable; urgency=medium

  * Maintenance Update:
    - Update for standards version 4.1.0.0.
    - Correct d/watch.

 -- Michael Lustfield <michael@lustfield.net>  Mon, 28 Aug 2017 23:02:08 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: golang-github-bsm-redeo
 Section: devel
-Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Lustfield <michael@lustfield.net>
-Build-Depends: debhelper (>= 10),
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-bsm-pool-dev,
                golang-ginkgo-dev,
                golang-gomega-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/bsm/redeo
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-bsm-redeo.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-bsm-redeo.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-bsm-redeo
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-bsm-redeo.git
+Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: github.com/bsm/redeo
 
 Package: golang-github-bsm-redeo-dev

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install
	# Not currently building binaries for distribution
	$(RM) -r $(CURDIR)/debian/$(shell dh_listpackages)/usr/bin

# Tests don't run well inside of a pbuilder environment
#  panic: runtime error: invalid memory address or nil pointer dereference
override_dh_auto_test:

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,\
dversionmangle=s{[~+](?:ds|dfsg)\d*$}{},\
"  https://github.com/bsm/redeo/releases \
   .*/archive/v?(\d[\d.]+)\.tar\.gz
